### Method

# GdkPixbuf Pixbuf savev

#### Declaration [src]

    gboolean
    gdk_pixbuf_savev (
      GdkPixbuf* pixbuf,
      const char* filename,
      const char* type,
      char** option_keys,
      char** option_values,
      GError** error
    )

#### Description [src]

Vector version of `gdk_pixbuf_save()`.

Saves pixbuf to a file in `type`, which is currently “jpeg”, “png”, “tiff”, “ico” or “bmp”.

If `error` is set, `FALSE` will be returned.

See `gdk_pixbuf_save()` for more details.

#### Parameters

`filename`

  Type: `const char*`

  Name of file to save.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`type`

  Type: `const char*`

  Name of file format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`option_keys`

  Type: An array of `utf8`

  Name of options to set.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`option_values`

  Type: An array of `utf8`

  Values for named options.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether an error was set.